import {User} from "../../express-decorators/src/models/user.model";
const app = require('./main')
import { suite, test } from "mocha-typescript";
import * as chai from "chai";
const chaiHttp = require('chai-http');
chai.use(chaiHttp);
chai.should();
@suite class Validation {
    @test async return_user() {
        const user = new User({firstName:'name1',lastName:'name2'})
        // @ts-ignore
        const result = await chai.request(app.express).post('/some/body')
            .set('content-type', 'application/x-www-form-urlencoded')
            .send(user);

        result.res.text.should.be.equal(JSON.stringify(user));
    }

    @test async throw_validation_error() {
        const user = new User({firstName:'name1'})
        // @ts-ignore
        const result = await chai.request(app.express).post('/some/body')
            .set('content-type', 'application/x-www-form-urlencoded')
            .send(user);

        result.res.text.should.be.equal('some problem with validation');
    }
}
