// export {};
// const pn = require('../../src/progressive-node')('docs-example');
//
// pn.init(__dirname, 'TEST');
//
// const chai = require('chai');
// const chaiHttp = require('chai-http');
//
// chai.use(chaiHttp);
// chai.should();
//
// describe('documentation', () => {
//     it('should get the spec', async () => {
//         const result = await chai.request(pn.express).get('/documentation/docs/spec.json');
//         result.body.should.be.eql({
//             openapi: '3.0.2',
//             info: {
//                 title: 'doc service',
//                 version: '1.2.3',
//                 description: 'doc service desc',
//                 termsOfService: 'https://www.traxretail.com',
//                 contact: { name: 'Trax Support', email: 'support@traxretail.com' },
//             },
//             security: [{ api_key: 'Authorization' }, { api_key: 'authentication_token' }, { api_key: 'refresh_token' }],
//             components: {
//                 schemas: {
//                     Error: {
//                         type: 'object',
//                         properties: {
//                             err: {
//                                 type: 'string',
//                             },
//                         },
//                     },
//                 },
//                 responses: {
//                     NotFound: {
//                         description: 'Item not found.',
//                     },
//                     IllegalInput: {
//                         description: 'Illegal input for operation.',
//                     },
//                     GeneralError: {
//                         content: {
//                             'application/json': {
//                                 schema: {
//                                     $ref: '#/components/schemas/Error',
//                                 },
//                             },
//                         },
//                         description: 'General Error',
//                     },
//                     UnAuthorized: {
//                         content: {
//                             'application/json': {
//                                 schema: {
//                                     $ref: '#/components/schemas/Error',
//                                 },
//                             },
//                         },
//                         description: 'User is not authorized. Incorrect or expired token',
//                     },
//                     Forbidden: {
//                         content: {
//                             'application/json': {
//                                 schema: {
//                                     $ref: '#/components/schemas/Error',
//                                 },
//                             },
//                         },
//                         description: 'A forbidden resource has been requested <resource>',
//                     },
//                     Redirect: {
//                         description: 'redirect to other trax internal domains',
//                         headers: {
//                             Location: {
//                                 description: 'redirect path',
//                                 type: 'string',
//                             },
//                         },
//                     },
//                 },
//                 securitySchemes: {
//                     api_key: {
//                         description: 'API token key provided by trax, should use as value: "Auth-Token <token>"',
//                         in: 'header',
//                         name: 'Authorization',
//                         type: 'apiKey',
//                     },
//                     authentication_token: {
//                         description: 'Authentication token provided after logged into trax website',
//                         in: 'header',
//                         name: 'authentication_token',
//                         type: 'apiKey',
//                     },
//                     refresh_token: {
//                         description: 'Refresh token provided after logged into trax website',
//                         in: 'header',
//                         name: 'refresh_token',
//                         type: 'apiKey',
//                     },
//                 },
//                 parameters: {
//                     projectName: {
//                         description: 'project name provided by trax',
//                         in: 'path',
//                         name: 'projectName',
//                         required: true,
//                     },
//                 },
//             },
//             paths: {
//                 '/documentation/hi': {
//                     get: {
//                         description: 'says hi',
//                         produces: ['application/json'],
//                         responses: {
//                             200: {
//                                 description: 'return "hi"',
//                             },
//                         },
//                     },
//                 },
//             },
//             tags: [],
//         });
//     });
// });
