import {Controller, Get, Put, Post, Delete, Param, Body} from "../../../../src/decorators";
import {SomeService} from "../services/SomeService";
import {User} from "../models/user.model";

@Controller(":projectName/some")
class SomeController {
  constructor(private someService:SomeService){}
  projectName : string;
  @Get("projectName")
  projectname(){
    return this.projectName;
  }

  @Post("body")
  postbody(@Body() user: User) {
    return user;
  }


  @Get("user")
  getUser() {
    return new User({lastName: 'tra', firstName: 'yaya'});
  }

  @Get("get")
  getSomthing() {
    return "get";
  }


  @Get("get/from/service")
  getSomthingFromService() {
    return this.someService.someAction();
  }

  @Put("put")
  putSomthing() {
    return "put";
  }

  @Delete("delete")
  deleteSomthing() {
    return "delete";
  }

  @Post("post")
  postSomthing() {
    return "post";
  }



  @Get("get/:id")
  getParams(@Param() {id}:{id:number} ) {
    return id;
  }
}
