import {resolve} from "path";
import {generateAngularClientApi} from "../../src/generators/angular-client.gen";
import {generateServerToServerApi} from "../../src/generators/server-to-server.gen";
const clientPath = resolve('./test/generators/serve');
const serverClientPath = resolve('./test/generators/server-to-server');

const serverPath = resolve('./test/generators/server');
const domainPath = resolve('./test/generators/shared/domain');

describe('generator', () => {
    it('angular', async () => {
        generateAngularClientApi(clientPath, serverPath);
    });

    it('server-to-server', async () => {
        generateServerToServerApi(serverClientPath, serverPath, domainPath);
    });
})
