import {validate as _validate} from 'class-validator'
export const validate = async (args:any[]) =>{
    for (let arg of args) {
        if (arg.constructor && typeof(arg) !== 'object' ){
            const errors = await _validate(arg, {
                whitelist: true,
                forbidNonWhitelisted: true,
                forbidUnknownValues: true,
            });
            if (errors && errors.length){
                throw 'some problem with validation';
            }
        }
    }
}
