import { ParitalWithoutGetters } from '../../../../src/types/partial-without-getter';
import { Entity } from './entity.model';
import {IsString} from "class-validator";

export class User extends Entity {
    get fullName() {
        return this.firstName + ' ' + this.lastName;
    }

    @IsString() firstName: string;
    @IsString() lastName: string;
    constructor(user: ParitalWithoutGetters<User>) {
        super(user);
    }
}
