import { ParitalWithoutGetters } from '../../../../src/types/partial-without-getter';
import { Entity } from './entity.model';

export class User extends Entity {
    get fullName() {
        return this.firstName + ' ' + this.lastName;
    }

    firstName: string;
    lastName: string;
    constructor(user: ParitalWithoutGetters<User>) {
        super(user);
    }
}
