import {Entity} from './entity.model';
import {ParitalWithoutGetters} from '../../../../src/types/partial-without-getter';

export class User extends Entity{
    constructor(user: ParitalWithoutGetters<User>){
        super(user);
    }

    firstName:string;
    lastName:string;

    get fullName(){
        return this.firstName + ' ' + this.lastName ;
    }
}
