const pn = require('../../../../src')('validation-example'); // require('progressive-node')('<app name>');
const Joi = pn.Joi;
pn.get(
    '/example/:arg1',
    pn.validate(
        'params',
        Joi.object().keys({
            arg1: Joi.string()
                .trim()
                .min(3)
                .required(),
        }),
    ),
    async (req, res) => {
        res.send(req.params.arg1);
    },
);
